Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.PageLabels Class Reference

## Public Member Functions
| GetNumberTree ()
| Get the page labels number tree. More...
| GetPageLabelPrefix (page_index)
| Get the label prefix string in the page label (as numbering format) of a specified page index. More...
| GetPageLabelStart (page_index)
| Get the value of the numeric portion for the first page label in the page label (as numbering format) of a specified page index. More...
| GetPageLabelStyle (page_index)
| Get the numbering style to be used for the numeric portion in the page label (as numbering format) of a specified page index. More...
| GetPageLabelTitle (page_index)
| Get the full page label title for a page specified by page index. More...
| HasPageLabel (page_index)
| Check if there is a page label (as numbering format) defined with specified page index. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| RemoveAll ()
| Remove all page labels. More...
| RemovePageLabel (page_index)
| Remove a page label (as numbering format) defined with a specified page index. More...
| SetPageLabel (page_index, label_style, first_label_number, prefix_string)
| Set a page label (as numbering format) defined with a page index which is the starting page index of the range. More...

## Static Public Attributes
static | e_None: number static e_DecimalNums: number static e_UpperRomanNums: number static e_LowerRomanNums: number static e_UpperLetters: number static e_LowerLetters: number constructor(document)
| Enumeration for page label style. More...

## Detailed Description

Each page in a PDF document is identified by an integer page index that expresses the page's relative position within the document. In addition, a document may optionally define page labels (PDF 1.3) to identify each page visually on the screen or in print. Page label titles and page indices need not coincide: the indexes are fixed, running consecutively through the document starting from 0 for the first page, but the label titles can be specified in any way that is appropriate for the particular document. For example, if the document begins with 12 pages of front matter numbered in roman numerals and the remainder of the document is numbered in arabic, the first page would have a page index of 0 and a page label title of i, the twelfth page would have index 11 and label title xii, and the thirteenth page would have index 12 and label title 1.
For purposes of page labeling, a document can be divided into labeling ranges, each of which is a series of consecutive pages using the same numbering system. Pages within a range are numbered sequentially in ascending order. A page's label (as numbering format), consists of a numeric portion based on its position within its labeling range, optionally preceded by a label prefix denoting the range itself. For example, the pages in an appendix might be labeled with decimal numeric portions prefixed with the string A-; the resulting page labels would be A-1, A-2, and so on. Please refer to Section 8.3.1 "Page Labels" in <PDF Reference 1.7> for more details.
This class can be used to get page label full title directly, get information of a page label (as numbering format), set or add a new page label, and so on.

## Member Function Documentation

## ◆ GetNumberTree()

FSDK.PageLabels.GetNumberTree | ( |  | ) |

Get the page labels number tree.

Returns
  The page labels number tree.

## ◆ GetPageLabelPrefix()

FSDK.PageLabels.GetPageLabelPrefix | ( | page_index |  | ) |

Get the label prefix string in the page label (as numbering format) of a specified page index.

This function is only useful when input page index has a page label – that means the page index is the starting page index of a page labeling range. Function FSDK.PageLabels.HasPageLabel can be used to check if the page index has a page label. If input page index does not have page label, this function will return empty string.

Parameters

  [in] | page_index | The page index which is the starting page index of a page labeling range. Valid range: from 0 to (count-1). count is the page count of related PDF document, and can be retrieved by function FSDK.PDFDoc.GetPageCount.

Returns
  The label prefix string. Empty string means no prefix string is used or input page index does not have page label. Function FSDK.PageLabels.HasPageLabel can be used to check if input page index has a page label.

## ◆ GetPageLabelStart()

FSDK.PageLabels.GetPageLabelStart | ( | page_index |  | ) |

Get the value of the numeric portion for the first page label in the page label (as numbering format) of a specified page index.

Subsequent pages are numbered sequentially from this value until the next page labeling range appears. This value must be greater than or equal to 1.
This function is only useful when input page index has a page label – that means the page index is the starting page index of a page labeling range. Function FSDK.PageLabels.HasPageLabel can be used to check if the page index has a page label. If input page index does not have page label, this function will return -1.

Parameters

  [in] | page_index | The page index which is the starting page index of a page labeling range. Valid range: from 0 to (count-1). count is the page count of related PDF document, and can be retrieved by function FSDK.PDFDoc.GetPageCount.

Returns
  The value of the numeric portion for the first page label in specified labeling range, which would be greater than or equal to 1. -1 means no first label number is defined or input page index does not have page label. Function FSDK.PageLabels.HasPageLabel can be used to check if input page index has a page label.

## ◆ GetPageLabelStyle()

FSDK.PageLabels.GetPageLabelStyle | ( | page_index |  | ) |

Get the numbering style to be used for the numeric portion in the page label (as numbering format) of a specified page index.

This function is only useful when input page index has a page label – that means the page index is the starting page index of a page labeling range. Function FSDK.PageLabels.HasPageLabel can be used to check if the page index has a page label. If input page index does not have page label, this function will return -1.

Parameters

  [in] | page_index | The page index which is the starting page index of a page labeling range. Valid range: from 0 to (count-1). count is the page count of related PDF document, and can be retrieved by function FSDK.PDFDoc.GetPageCount.

Returns
  The numbering style. Please refer to values starting from FSDK.PageLabels.e_None and this would be one of these values.
  -1 means input page index does not have page label.

## ◆ GetPageLabelTitle()

FSDK.PageLabels.GetPageLabelTitle | ( | page_index |  | ) |

Get the full page label title for a page specified by page index.

This function can help to get the full page label title of a specified page index directly, and user does not need to take care about which page labeling range this page belongs to.
Only when related PDF document does not have any page labeling range information, this function would return empty string for each valid page index.

Parameters

  [in] | page_index | A page index. Valid range: from 0 to (count-1). count is the page count of related PDF document, and can be retrieved by function FSDK.PDFDoc.GetPageCount.

Returns
  The page label full title string.

## ◆ HasPageLabel()

FSDK.PageLabels.HasPageLabel | ( | page_index |  | ) |

Check if there is a page label (as numbering format) defined with specified page index.

For each page labeling range, the page label (as numbering format) is defined with its starting page index.

Parameters

  [in] | page_index | A page index. Valid range: from 0 to (count-1). count is the page count of related PDF document, and can be retrieved by function FSDK.PDFDoc.GetPageCount.

Returns
  true means there exists a page label defined with input page index, while false means there is no page label defined with input page index.

## ◆ IsEmpty()

FSDK.PageLabels.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ RemoveAll()

FSDK.PageLabels.RemoveAll | ( |  | ) |

Remove all page labels.

Returns
  None.

## ◆ RemovePageLabel()

FSDK.PageLabels.RemovePageLabel | ( | page_index |  | ) |

Remove a page label (as numbering format) defined with a specified page index.

After the specified page label is removed, the related labeling range will be merged to the previous page labeling range sequence.
As required in Section 8.3.1 "Page Labels" in <PDF reference 1.7>, a page label defined with page index 0 is required. So user is recommended not to remove the page label of page index 0 singly.

Parameters

  [in] | page_index | The page index which is the starting page index of a page labeling range. Valid range: from 0 to (count-1). count is the page count of related PDF document, and can be retrieved by function FSDK.PDFDoc.GetPageCount. Not recommend to remove the page label defined with page index 0 singly as required in Section 8.3.1 "Page Labels" in <PDF reference 1.7>,

Returns
  None.

## ◆ SetPageLabel()

FSDK.PageLabels.SetPageLabel | ( | page_index | ,
|  | label_style | ,
|  | first_label_number | ,
|  | prefix_string |
| ) |  |

Set a page label (as numbering format) defined with a page index which is the starting page index of the range.

- If no any page labeling range in the related PDF document, this function will set input page index as the starting page of a new page labeling range and use input values as page label (as numbering format) for this new range. Pages following the specified page will be in the same labeling range, until the next page labeling range appears. Specially, in this case, if input page index is not 0, this function will also add a new page label for index 0, with no label style, no prefix, first label number = 1, by default – this is required in Section 8.3.1 "Page Labels" in <PDF reference 1.7>.
- If these is no page label for input page index, this function will set input page index as the starting page of a new page labeling range and use input values as page label (as numbering format) for this new range. Pages following the specified page will be in the same labeling range, until the next page labeling range appears.
- If there exists a page label for input page index, this function will replace the old page label (as numbering format) with input values.

Parameters

  [in] | page_index | The page index which is the starting page index of a page labeling range. Valid range: from 0 to (count-1). count is the page count of related PDF document, and can be retrieved by function FSDK.PDFDoc.GetPageCount.
  [in] | label_style | The numbering style to be used for the numeric portion in the page labeling range. Please refer to values starting from FSDK.PageLabels.e_None and this should be one of these values.
  [in] | first_label_number | The value of the numeric portion for the first page label in the page labeling range. It should be greater than or equal to 1. If the input value is invalid, Foxit PDF SDK will use 1 by default.
  [in] | prefix_string | The label prefix string for page labels in the labeling range. This can be an empty string which means not use prefix string. Default value : an empty string.

Returns
  None.

## Member Data Documentation

## ◆ e_None

FSDK.PageLabels.e_None
| static

Enumeration for page label style.

Values of this enumeration should be used alone.

Page label style: no numbering style.

This means page labels consist solely of a label prefix with no numeric portion.